import Flutter
import UIKit
import StoreKit

public class SwiftStoreReviewPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "store_review", binaryMessenger: registrar.messenger())
    let instance = SwiftStoreReviewPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {

    switch call.method {
            case "requestReview":
                if #available( iOS 10.3,*){
                    SKStoreReviewController.requestReview()
                    result(nil)
                }
            case "isAvailable":
                if #available( iOS 10.3,*){
                    result(true)
                }else{
                    result(false)
                }
            default:
                result("Method not supported")
            }
  }
}
